<?php

if (!defined('ABSPATH')) {
    exit;
}

?>

<h3>Payshop Order Details</h3>

<?php if ($paymentMethod === 'payshop_card') : ?>
    <p style="word-break: break-all; margin: 3px 0">
        <strong><?= __('Payment in two steps', 'payshop'); ?> :</strong>
        <?= $paymentInTwoSteps === 'yes' ? __('Yes', 'payshop') : __('No', 'payshop') ?>
    </p>

    <?php if ($paymentInTwoSteps === 'yes') : ?>
        <p style="word-break: break-all; margin: 3px 0">
            <strong><?= __('Payment confirmed', 'payshop') ?>:</strong>
            <?= $paymentEffectiveDate ? __('Yes', 'payshop') : __('No', 'payshop') ?>
            <?php if ($paymentEffectiveDate) : ?>
                (
                <?= __('value', 'payshop') ?>
                <?= $paymentEffectiveDate ?> €
                )
            <?php else : ?>
                (
                <?= __('confirm payment until', 'payshop') ?>
                <?= $limiteToConfirmPayment->format('d/m/Y h:i') ?>
                )
            <?php endif; ?>
        </p>
    <?php endif; ?>
<?php endif; ?>

<?php if ($chargeId) : ?>
    <p style="word-break: break-all; margin: 3px 0">
        <strong><?= __('Payshop charge ID', 'payshop') ?>:</strong>
        <?= $chargeId ?>
    </p>
<?php endif; ?>

<?php if ($instrumentId) : ?>
    <p style="word-break: break-all; margin: 3px 0">
        <strong><?= __('Payshop instrument ID', 'payshop') ?>:</strong>
        <?= $instrumentId ?>
    </p>
<?php endif; ?>

<?php if ($paymentId) : ?>
    <p style="word-break: break-all; margin: 3px 0">
        <strong><?= __('Payshop payment ID', 'payshop') ?>:</strong>
        <?= $paymentId ?>
    </p>
<?php endif; ?>

<?php if ($referenceEntity) : ?>
    <p style="word-break: break-all; margin: 3px 0">
        <strong><?= __('Reference Entity', 'payshop') ?>:</strong>
        <?= $referenceEntity ?>
    </p>
<?php endif; ?>

<?php if ($reference) : ?>
    <p style="word-break: break-all; margin: 3px 0">
        <strong><?= __('Reference', 'payshop') ?>:</strong>
        <?= $reference ?>
    </p>
<?php endif; ?>

<?php if ($referenceEndDate) : ?>
    <p style="word-break: break-all; margin: 3px 0">
        <strong><?= __('Reference expiration Date', 'payshop') ?>:</strong>
        <?= $referenceEndDate ?>
    </p>
<?php endif; ?>